Subject: bug#15734: libtool 2.4.2.418 in UnixWare

From: Tim Rice <[email-masked]>
Date: Sat, 2 Nov 2013 18:19:17 -0700 (PDT)

Hi Gary,

On Mon, 28 Oct 2013, Gary V. Vaughan wrote:

> Hi Tim,
> 
> Thanks for the report.
> 
> On Oct 28, 2013, at 9:06 AM, Tim Rice <[email-masked]> wrote:
> 
> > On Sun, 27 Oct 2013, Tim Rice wrote:
> > 
> > | On Sun, 27 Oct 2013, Tim Rice wrote:
> > | 
> > | > 
> > | > UnixWare 7.1.4
> > | > 
> > | > Things don't look so good on the alpha release.
> > | > ......
> > | >    To: <[email-masked]>
> > | >    Subject: [GNU Libtool 2.4.2.418] testsuite: 9 10 11 15 16 18 21 122 123 124 125 129 failed
> > | > ......
> > | 
> > | Saw this in the build log.
> > | ------
> > |   GEN      libtoolize
> > | UX:sed: ERROR: Command garbled:           s|^m4trace: -1- AC_CONFIG_AUX_DIR[([]*||
> > |   GEN      libltdl/argz.h
> > | ------
> > 
> > This patch helps some.
> > 
> > .........
> > --- libtool-2.4.2.418/Makefile.am.old	2013-01-25 20:19:11.000000000 -0800
> > +++ libtool-2.4.2.418/Makefile.am	2013-10-27 12:13:43.776276925 -0700
> > @@ -248,7 +248,7 @@
> > ## ---------------- ##
> > 
> > abs_aux_dir = `$(lt__cd) '$(srcdir)/$(aux_dir)' && pwd`
> > -ltdl_ac_aux_dir = `$(extract_trace) AC_CONFIG_AUX_DIR $(srcdir)/libltdl/configure.ac`
> > +ltdl_ac_aux_dir = `SED=$(SED) $(extract_trace) AC_CONFIG_AUX_DIR $(srcdir)/libltdl/configure.ac`
> > 
> > configure_edit = $(bootstrap_edit) \
> > 	-e '/^\. /s|@auxscriptsdir\@|'$(abs_aux_dir)'|g' \
> > .........
> > 
> >   To: <[email-masked]>
> >   Subject: [GNU Libtool 2.4.2.418] testsuite: 21 122 123 124 125 129 failed
> > 
> 
> 
> Most of the remaining failures seem to be caused by the unset variable in the testsuite
> getting set to ‘no’ rather than ‘unset’ or ‘:’ as was originally intended on your host.
> However, Autotest already provides as_unset, so the following patch switches to that:
> 
[snip patch]

Thanks for the patch. Doesn't seem to help though.
   Subject: [GNU Libtool 2.4.2.418] testsuite: 21 122 123 124 125 129 failed

Here is a snip from testsuite.log
/opt/src/gnu/libtool-2.4.2.418/tests/standalone.at:50: $as_unset LIBTOOL; $as_unset LIBTOOLIZE; $MAKE $target
stderr:
sh: line 1: no: not found
automake: no failed with exit status: 127

I've attached testsuite.log.gz and testsuite.dir.tgz

> I’ve pushed this patch already.
> 

> The remaining failure looks to be a similar problem to the sed issue you 
> discovered but with grep.

I've confirmed that the test 21 failure is due to needing GNU grep.

> Since extract-trace is supposed to work standalone, I’ll find a way to 
> have funclib.sh find a suitable sed and grep, which will fix not only 
> the problems your patch works on, but also the remaining test failure, 
> and no doubt similar latent bugs in other funclib.sh clients

Looking forward to that fix.

> (bootstrap and libtoolize).
> 
> Please, let me know if your still having issues after that.
> 
> Cheers,
> 

Thanks for all your help.

-- 
Tim Rice				Multitalents
[email-masked]